<?php 
require_once("../../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../../includes/academia_constantes.php");
require_once("../../includes/funciones_generales.php");

if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total =0;
	$responce->records = "0";
	echo json_encode($response);
	exit();
}
$codigo_grupo=escapar($_POST["cdgr"],'int');
$periodo=escapar($_POST["per_calif"],'int');
if($codigo_grupo=='0x'){
	header("Content-type: application/json");
	echo json_encode(array());
	exit;
}
	
require_once("../../includes/MySQL.php");

$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

    $consulta="SELECT cod_profesor, ide_profesor, ide_tipoiden, lugexpdoc, CONCAT_WS('',ap1_pro,' ', ap2_pro) as apellidos, CONCAT_WS('',no1_pro, ' ',no2_pro) AS nombres, CONCAT_WS('',no1_pro, ' ',no2_pro,' ', ap1_pro,' ', ap2_pro) AS nombre, sex_pro, '' AS foto
FROM pro_profesores order by nombre";
 	
$academia->instruccion($consulta);
$i=0;
$responce = array();
//$responce['sql']=$consulta;
$mayus_nom=$sesion->getVar('configuracion.format_nom');
while($row = $academia->extraer_registro()) {
	$foto=empty($row['foto']) ? 'avatar.png' : $row['foto'];
	if(!file_exists('../../img_avatar/'.$foto)){
		$foto='avatar.png';
	}
	$responce['rows'][]=array(
		'cod_estudiante'=>zerofill($row['cod_profesor']), 
		'numedocumento_est'=>$row['ide_profesor'],
		'nombre'=>formatoPalabras($row['nombre'],$mayus_nom),
		'apellidos'=>formatoPalabras($row['apellidos'],$mayus_nom),
		'nombres'=>formatoPalabras($row['nombres'],$mayus_nom),
		'foto'=>$foto,
	); 
}  
header("Content-type: application/json");
echo json_encode($responce);
		
$academia->cerrar();
?>
        